orbit.assets
============

.. automodule:: omni.isaac.orbit.assets

  .. rubric:: Classes

  .. autosummary::

    AssetBase
    AssetBaseCfg
    RigidObject
    RigidObjectData
    RigidObjectCfg
    Articulation
    ArticulationData
    ArticulationCfg

.. currentmodule:: omni.isaac.orbit.assets

Asset Base
----------

.. autoclass:: AssetBase
    :members:

.. autoclass:: AssetBaseCfg
    :members:
    :exclude-members: __init__, class_type

Rigid Object
------------

.. autoclass:: RigidObject
    :members:
    :inherited-members:
    :show-inheritance:

.. autoclass:: RigidObjectData
    :members:
    :inherited-members:
    :show-inheritance:
    :exclude-members: __init__

.. autoclass:: RigidObjectCfg
    :members:
    :inherited-members:
    :show-inheritance:
    :exclude-members: __init__, class_type

Articulation
------------

.. autoclass:: Articulation
    :members:
    :inherited-members:
    :show-inheritance:

.. autoclass:: ArticulationData
    :members:
    :inherited-members:
    :show-inheritance:
    :exclude-members: __init__

.. autoclass:: ArticulationCfg
    :members:
    :inherited-members:
    :show-inheritance:
    :exclude-members: __init__, class_type
